import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { AngularFireAuth } from '@angular/fire/auth';
import { User } from 'firebase';
export declare class AuthService {
    afAuth: AngularFireAuth;
    user$: Observable<User>;
    updateUserData: EventEmitter<User>;
    goToHomePage: EventEmitter<User>;
    logoutEvent: EventEmitter<boolean>;
    constructor(afAuth: AngularFireAuth);
    getUserBasic(): void;
    login(email: string, password: string): void;
    registerUser(email: string, password: string): Promise<void>;
    oAuthLogin(provider: any): Promise<void>;
    loginWithGoogle(): Promise<void>;
    loginWithTwitter(): Promise<void>;
    loginWithMicrosoft(): Promise<void>;
    logout(): void;
    getUserFromStorage(): any;
    isLoggedIn(): boolean;
}
